Bug 237531 - command service smartd status returns wrong value
command service smartd status returns wrong value
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: smartmontools (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Smetana
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-23 13:36 EDT by vikram goyal
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 5.37-1.1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-26 09:54:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vikram goyal 2007-04-23 13:36:42 EDT
Description of problem:

service smartd status return value $? is 0 even if it is not running.

Version-Release number of selected component (if applicable):

smartmontools-5.36-3.2.fc6
How reproducible:
always


Steps to Reproduce:
1.service smartd status
2.echo $?
3.
  
Actual results:
0

Expected results:
1

Additional info:

adding || RETVAL=1 in line 80 of /etc/init.d/smartd file will solve it

Note You need to log in before you can comment on or make changes to this bug.